%
% DESCRIPTION: Program to create the Bottomhole_pressure GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Date','Time of steam production'
    'Bottomhole_pressure','Bottomhole pressure'
    };
[FieldType] = {
    'Date',5
    'Bottomhole_pressure',33
    };
[FieldUnit] = {
    'Date','datenum'
    'Bottomhole_pressure','MPa'
    };
[d] = struct();

d.Date = [
735751
736116
736482];

d.Bottomhole_pressure = [
    123.123
    124.124
    125.125];


save('GDF_EpisodeName_Bottomhole_pressure_example.mat')